Bug 223460 - ibmasm RPM package should not be installed by default, but only if user explicity selects it.
ibmasm RPM package should not be installed by default, but only if user expli...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: comps (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 10:35 EST by Konrad Rzeszutek
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 16:35:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Rzeszutek 2007-01-19 10:35:42 EST
Description of problem:

The 'ibmasm' package is used to facility communication between the IBM Advance
System Management PCI Adapter (also known as RSA I). The new products (RSA II)
also have a package that is downloadeable from IBM website, but they are not
backwards compatible. When users install the RSAII package they end up needing
to uninstall the ibmasm package.

Considering that the 'RSAI' was only supported on 32-bit boxes and the PIII ones
versus RSAII being on all new IBM boxes, the 'ibmasm' packaage should not be
selected by default when installing of the packages, but only install it when
the user explicitly selects it.

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always
Comment 1 Konrad Rzeszutek 2007-01-19 10:38:05 EST
The justification is that the users end up having to de-install the ibmasm
package. To make the experience of users easy, having the ibmasm package not
being installed by default would make folks happy.
Comment 5 Jay Turner 2007-01-23 14:25:46 EST
Fix confirmed with 20070123.nightly:

      <packagereq type="optional">ibmasm</packagereq>

Will close once the change appears in an official build.
Comment 6 Konrad Rzeszutek 2007-01-23 14:54:27 EST
Thanks everybody for quick turn-around on fixing this. Much appreciated!
Comment 7 Jay Turner 2007-01-25 16:35:33 EST
Fix confirmed with 20070124.1.

Note You need to log in before you can comment on or make changes to this bug.